package data

import "database/sql"

type DB struct {
	*sql.DB
}

type Person struct {
	ID        int64
	FirstName string
	LastName  string
}

type Instructor Person

type Participant struct {
	Person
	Company string
	Login   string
}

type Briefing struct {
	ID           int64
	Date         string
	Time         string
	Location     string
	DocumentName string
	AsOf         string
	InstructorID int64
}

type Answer struct {
	ID   int64
	Text string
}

type Question struct {
	ID      int64
	Text    string
	Answers []Answer
	Correct int
}

type GivenAnswer struct {
	BriefingID    int64
	ParticipantID int64
	QuestionID    int64
	GivenAnswer   int
}

type OverviewTableData struct {
	InstructorFirstName  string
	InstructorLastName   string
	BriefingDate         string
	BriefingTime         string
	BriefingLocation     string
	BriefingDocumentName string
	BriefingAsOf         string
	ParticipantFirstName string
	ParticipantLastName  string
	ParticipantCompany   string
}
